%dispersion plot 1


clear all;
close all;
%global w mu0 Qi1s Qi2s Qi3s k1s k2s k3s h1r h1l h2r h2l h3r h3l Z1s Z2s Z3s eps
g=2.1;
fourpiMs=10000;
%Hext=1103.3;
dH=30;
sigma=0.7e5;
A=1.14e-6;
mu0=4*pi*10^-9;
%f=9.53e9;
f=9e9:1e6:12e9;
H0=1100;
e0=1/(36*pi)*10^-11;
gamma=g.*0.8805e7;
omega=2.*pi*f-j.*(dH.*0.924525e7);
w=omega;
topn=j.*fourpiMs.*w/gamma;
%H0=10:1:3000;
L=length(H0);
H1=H0;
H2=H0+fourpiMs;
e=-j.*sigma./omega;
M=fourpiMs./(4.*pi);
%Mu_r = 1+fourpiMs.*H1./(H1.*H2-(w./gamma).^2);
Mu_r =fourpiMs.*(w./gamma)./(H1.*H2-(w./gamma).^2);


figure(1);%mu vs f 
hold on;
plot(f, real(Mu_r),'k', 'LineWidth',3);
plot(f, -imag(Mu_r),'k--', 'LineWidth',3);
%xlabel('H(Oe)', 'FontSize', 24);
%ylabel('mu_r', 'FontSize',24);
%legend('Mueff Real','Mueff Imag','MuS Real','MuS Imag',1);
h = gca;
set(h,'Fontsize',33, 'Linewidth',4);
% %title('Permeability Comparison','FontSize',24);
legend('\kappa\prime', '\kappa\prime\prime' );
hold off;
