%hysteresis plot 


clear all;
close all;
fourpiMs=10000;

MS=fourpiMs./(4.*pi);
H=-500:1:500;
L=length(H);

HA=10;
MH1=(2*MS./pi)*atan((H-HA)./HA);
MH2=(2*MS./pi)*atan((H+HA)./HA);
P=(2/pi)./(1+(H./HA).^2);

figure(1); 
hold on;
plot(H, MH1,'k', 'LineWidth',3);
%plot(H, P,'k', 'LineWidth',3);


plot(H, MH2,'k', 'LineWidth',3);
xlabel('H(Oe)', 'FontSize', 24);
ylabel('M(Gauss)', 'FontSize',24);
%ylabel('P', 'FontSize',24);

%legend('Mueff Real','Mueff Imag','MuS Real','MuS Imag',1);
h = gca;
set(h,'Fontsize',33, 'Linewidth',4);
% %title('Permeability Comparison','FontSize',24);
hold off;
